import { Component } from 'react';
import PropTypes from 'prop-types';
export declare class GlobalLoader extends Component<any, any> {
    static propTypes: {
        showEvents: PropTypes.Validator<string[]>;
        hideEvents: PropTypes.Validator<string[]>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        size: PropTypes.Requireable<number>;
    };
    static defaultProps: {
        children: any;
        size: number;
    };
    eventHandlers: any;
    constructor(props: any);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    componentWillUnmount(): void;
    show: (text?: string) => void;
    hide: (text?: string) => void;
    getTextIndex(stack: any, text: any): number;
    getContent(stack: any): any;
    render(): JSX.Element;
}
